import React from "react";

interface RotationInputProps {
  onChange: (value: string) => void; // Callback for value change
  placeholder?: string; // Optional placeholder
  type?: string; // Input type (e.g., text, number, email)
}

const RotationInput: React.FC<RotationInputProps> = ({
  onChange,
  placeholder = "Enter value", // Default placeholder
  type = "number", // Default type
}) => {
  return (
    <div className="custom-input-container">
      <div className="header">Rotation</div>
      <div className="inputs-container"  style={{display: "block"}}>
        <div className="input-container">
          <div className="custom-input-label">Rotate : </div>
          <input
            className="custom-input-field"
            type={type}
            onChange={(e) => onChange(e.target.value)}
            placeholder={placeholder}
          />
        </div>
      </div>
    </div>
  );
};

export default RotationInput;
